Subject: WG ACTION: Message Tracking Protocol (msgtrk)

From: The IESG <[email-masked]>
Date: Tue, 10 Nov 1998 08:43:26 -0500

A new working group has been formed in the Applications Area of the IETF.
Please contact the WG Chair for additional information.

Message Tracking Protocol (msgtrk)
----------------------------------
 
 Current Status: Active Working Group
 
 Chair(s):
     Gordon Jones <[email-masked]>
 
 Applications Area Director(s): 
     Keith Moore  <[email-masked]>
     Patrik Faltstrom  <[email-masked]>
 
 Applications Area Advisor: 
     Keith Moore  <[email-masked]>
 
 Mailing Lists: 
     General Discussion:[email-masked]
     To Subscribe:      [email-masked]
         In Body:       subscribe
     Archive:           http://www.imc.org/ietf-msgtrk/mail-archive/
 
Description of Working Group:
 
The Message Tracking Working Group will design a diagnostic protocol for 
a message originator to request information about the submission, 
transport, and delivery of a message regardless of its delivery status.

The group will produce two standards track documents: a message tracking 
model document and a protocol document. The model will state how message 
tracking is enabled, identify the entities involved, define how and when 
message tracking requests are issued and answered, define approaches for 
inter-domain message tracking, and address security issues. The 
submission, transport, and delivery of RFC 822bis messages will be 
tracked from the time such messages enter the messaging network up until 
the time they are discharged (e.g. to an IMAP server, to an end-user's 
mailbox, or a proprietary mail system).

The group will design one or more protocols to implement message 
tracking as described above.
 
 Goals and Milestones: 
 
   Nov 98       Post an Internet Draft of the message tracking model           

   Nov 98       Post revised draft of message tracking model                   

   Dec 98       Meet at Orlando IETF to discuss I-Ds                           

   Jan 99       post final draft of model, post Internet Draft of protocol     

   Feb 99       Post revised draft of protocol                                 

   Mar 99       Meet at 44th IETF                                              

   May 99       Post final draft of protocol